CSD462::Complex Class Reference

Represents complex numbers as 2D vectors of their real and imaginary components. More...

`#include <complex.h>`

Inheritance diagram for CSD462::Complex:
Collaboration diagram for CSD462::Complex:

## Public Member Functions

| Complex ()
| Constructor. More...
| Complex (double a, double b)
| Constructor. More...
| Complex (const Vector2D &v)
| Constructor. More...
Complex | conj () const
| Compute the complex conjugate.
Complex | inv () const
| Compute the inverse.
double | arg () const
| Return argument.
Complex | exponential () const
| Complex exponentiation.
Public Member Functions inherited from CSD462::Vector2D
| Vector2D ()
| Constructor. More...
| Vector2D (double x, double y)
| Constructor. More...
| Vector2D (const Vector2D &v)
| Constructor. More...
double | norm (void) const
| Returns norm.
double | norm2 (void) const
| Returns norm squared.
Vector2D | unit (void) const
| Returns unit vector parallel to this one.

## Detailed Description

Represents complex numbers as 2D vectors of their real and imaginary components.

## Constructor & Destructor Documentation

CSD462::Complex::Complex | ( |  | ) |

inline

Constructor.

Initializes to 0.

CSD462::Complex::Complex | ( | double | a,
|  | double | b
| ) |  |

inline

Constructor.

Initializes to a+bi.

CSD462::Complex::Complex | ( | const Vector2D & | v | ) |

inline

Constructor.

Initializes to a+bi from vector v = (a,b)

The documentation for this class was generated from the following file:

- lib/complex.h